### Hierarchy

- RequestInit

## Index

### Properties

- body
- cache
- credentials
- headers
- integrity
- keepalive
- method
- mode
- redirect
- referrer
- referrerPolicy
- signal
- window

## Properties

### Optional body

body: BodyInit | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1348

### Optional cache

cache: RequestCache

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1349

### Optional credentials

credentials: RequestCredentials

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1350

### Optional headers

headers: HeadersInit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1351

### Optional integrity

integrity: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1352

### Optional keepalive

keepalive: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1353

### Optional method

method: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1354

### Optional mode

mode: RequestMode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1355

### Optional redirect

redirect: RequestRedirect

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1356

### Optional referrer

referrer: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1357

### Optional referrerPolicy

referrerPolicy: ReferrerPolicy

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1358

### Optional signal

signal: AbortSignal | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1359

### Optional window

window: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1360

Generated using TypeDoc